Debian Bug report logs - #411287
openoffice.org-impress: KDE/xorg freezes after clicking on File in OOo-Impress main menu

version graph

Package: openoffice.org; Maintainer for openoffice.org is Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>; Source for openoffice.org is src:openoffice.org.

Reported by: David Liontooth <liontooth@cogweb.net>

Date: Sat, 17 Feb 2007 20:27:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 395354, 396774

Found in versions 2.0.4-2, openoffice.org/2.0.4.dfsg.2-5

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://qa.openoffice.org/issues/show_bug.cgi?id=75578

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <liontooth@cogweb.net>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Liontooth <liontooth@cogweb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openoffice.org-impress: KDE/xorg freezes after clicking on File in OOo-Impress main menu
Date: Sat, 17 Feb 2007 12:20:59 -0800
Package: openoffice.org-impress
Version: 2.0.4.dfsg.2-5
Severity: important


The failure is periodic. Every so often when I select File in the main menu of openoffice.org-impress, the menu never appears, all of xorg freezes, 
including the clock in KDE's system tray. The machine remains available through ssh and appears to be working fine. 100% CPU utilization by xorg.

Note the trigger is the same every time: select File in the main menu and you get the freeze. The mouse can still move the cursor, though in a
somewhat jagged way.

If I kill openoffice.org, there's no visible response -- xorg remains frozen.

If I kill xorg I don't get a console, so this failure requires a reboot every time -- and all unsaved work is lost.

Dave



-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages openoffice.org-impress depends on:
ii  libc6                     2.3.6.ds1-9    GNU C Library: Shared libraries
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libstlport4.6c2           4.6.2-3        STLport C++ class library
ii  openoffice.org-core       2.0.4.dfsg.2-5 OpenOffice.org office suite archit
ii  openoffice.org-draw       2.0.4.dfsg.2-5 OpenOffice.org office suite - draw

openoffice.org-impress recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to abc2006@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 411287@bugs.debian.org (full text, mbox):

From: Joachim Müller <abc2006@gmx.de>
To: 411287@bugs.debian.org
Subject: ooo-writer freezes also
Date: Fri, 2 Mar 2007 11:29:02 +0100
If I use ooo-Writer to edit a file, all buttons work normally. only if I have 
to use the menu-bar, openOffice crashes and kde freezes. ( Xorg 100% CPU) The 
only way to get working back is reboot the machine, It is not possible to 
kill the Process, or whole kde

Stephan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Syd Alsobrook <syd@onsyd.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 411287@bugs.debian.org (full text, mbox):

From: Syd Alsobrook <syd@onsyd.com>
To: 411287@bugs.debian.org
Subject: Ongoing
Date: Wed, 21 Mar 2007 12:58:58 -0400
This has been an ongoing problem with OpenOffice.org with me for sometime. I 
have found that you can kill xorg and restart kdm without a reboot. You will 
of course lose all unsaved data.

Syd

-- 
-----------
Protect your privacy. http://www.gnupg.org
PGP Key ID: 0xB7544D58

"Windows NT crashed. I am the Blue Screen of Death. No one hears your 
screams."



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 411287@bugs.debian.org (full text, mbox):

From: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>
To: 411287@bugs.debian.org
Subject: Trying to find a pattern
Date: Mon, 26 Mar 2007 14:18:02 -0300
Hi,

I'm experiencing the very same problem, although i'm using opensuse
10.2. I have not yet found any solution for this issue.

May i suggest we try to find a pattern between our configurations?
then we might be able to narrow this bug down to the exact component
that is causing it.

Dave reports x86_64 and openoffice 2.0.4. smp/up? what xorg version?
what video driver?

I'm using x86_64, smp, openoffice 2.0.4, xorg 7.2, nvidia binary 9746.

Stephan? Syd?

Miguel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Jim Watson <jim@amarooas.com.au>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 411287@bugs.debian.org (full text, mbox):

From: Jim Watson <jim@amarooas.com.au>
To: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>, 411287@bugs.debian.org
Subject: Re: Bug#411287: Trying to find a pattern
Date: Tue, 27 Mar 2007 08:25:44 +1000
On 27/03/2007, at 3:18 AM, Miguel Freitas wrote:

>
> I'm using x86_64, smp, openoffice 2.0.4, xorg 7.2, nvidia binary 9746.

I have seen this occasionally over several months using various  
openoffice.org up to 2.1 built myself from upstream sources on  
continually updated debian unstable GNU/Linux SPARC with xorg on  
Sunblade100.

In my case it is not only File menu and not impress - maybe this only  
depends on what is most used.

I started an issue upstream http://qa.openoffice.org/issues/ 
show_bug.cgi?id=75578 and anyone is free to change the Summary, take  
ownership etc.

The common factor at present seems to be 64 bit kernel, running 32  
bit applications?

I dont know if this is relevant - there is runtime hardware detection  
near the end of
http://www.go-oo.org/lxr/source/porting/sal/osl/unx/util.c

jim



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 411287@bugs.debian.org (full text, mbox):

From: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>
To: "Jim Watson" <jim@amarooas.com.au>
Cc: 411287@bugs.debian.org
Subject: Re: Bug#411287: Trying to find a pattern
Date: Mon, 26 Mar 2007 19:39:47 -0300
On 3/26/07, Jim Watson <jim@amarooas.com.au> wrote:
> I started an issue upstream http://qa.openoffice.org/issues/
> show_bug.cgi?id=75578 and anyone is free to change the Summary, take
> ownership etc.

i would hardly blame openoffice for this bug. imho no application
should be able to lock the X server. ever.

Miguel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 411287@bugs.debian.org (full text, mbox):

From: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>
To: 411287@bugs.debian.org
Subject: new xorg
Date: Mon, 2 Apr 2007 09:47:57 -0300
I did an upgrade to a newer xorg version (almost 7.3, from suse
repositories) and it might have fixed the problem.

I can't be sure because it doesn't happen all the time, but i'm using
it for about one week now without any issue.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 411287@bugs.debian.org (full text, mbox):

From: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>
To: 411287@bugs.debian.org
Subject: Re: new xorg
Date: Wed, 4 Apr 2007 13:47:07 -0300
On 4/2/07, Miguel Freitas <miguel@cpti.cetuc.puc-rio.br> wrote:
> I did an upgrade to a newer xorg version (almost 7.3, from suse
> repositories) and it might have fixed the problem.

wrong. it is not fixed.

i tried xorg 1.2.99.902 / 1.3.0 RC 2 and it still exhibits the problem.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to jim@amarooas.com.au:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 411287@bugs.debian.org (full text, mbox):

From: Jim Watson <jim@amarooas.com.au>
To: 411287@bugs.debian.org
Subject: how long is it hanged?
Date: Mon, 09 Apr 2007 18:26:06 +1000
I have noticed in one case after waiting about 5 minutes the menu opened and the
dead xorg came back to life. This might not be the same issue but please check
what happens if it is allowed to sit for some time and report how long you have
waited.
jim




Noted your statement that Bug has been forwarded to http://qa.openoffice.org/issues/show_bug.cgi?id=75578. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2007 14:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 411287@bugs.debian.org (full text, mbox):

From: "Miguel Freitas" <miguel@cpti.cetuc.puc-rio.br>
To: 411287@bugs.debian.org
Subject: Crosslinking
Date: Sat, 14 Apr 2007 19:27:36 -0300
This bug is also being tracked here (Xorg):

https://bugs.freedesktop.org/show_bug.cgi?id=10525



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 14 Jul 2007 01:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 411287@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: Rene Engelhard <rene@debian.org>, 411287@bugs.debian.org
Subject: #411287,openoffice.org-impress: KDE/xorg freezes after clicking on File in OOo-Impress main menu
Date: Sat, 14 Jul 2007 11:02:38 +0300
Hi,

This bug is marked as done by bts-link [1], but reading upstream bug 
log, seems that it's actually a bug with xorg [2].

I believe we should reassign it...


[1] http://lists.debian.org/debian-openoffice/2007/07/msg00231.html
[2] https://bugs.freedesktop.org/show_bug.cgi?id=10525
-- 
Lior Kaplan
kaplan@debian.org

GPG fingerprint:
C644 D0B3 92F4 8FE4 4662  B541 1558 9445 99E8 1DA0



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 411287@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Lior Kaplan <kaplan@debian.org>
Cc: 411287@bugs.debian.org
Subject: Re: Bug#411287: #411287,openoffice.org-impress: KDE/xorg freezes after clicking on File in OOo-Impress main menu
Date: Sat, 14 Jul 2007 16:34:10 +0200
[Message part 1 (text/plain, inline)]
Lior Kaplan wrote:
> Hi,
>
> This bug is marked as done by bts-link [1], but reading upstream bug log, 
> seems that it's actually a bug with xorg [2].
>
> I believe we should reassign it...

I'd like a clone more, as that would give people a way to find something
at OOo, too and so they (hopefilly) don't report more bugs..

Gr??e/Regards,

Ren?
-- 
 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[signature.asc (application/pgp-signature, inline)]

Bug 411287 cloned as bug 433131. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2007 18:06:01 GMT) Full text and rfc822 format available.

Blocking bugs of 411287 added: 433131 Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2007 18:06:06 GMT) Full text and rfc822 format available.

Information stored:
Bug#411287; Package openoffice.org-impress. Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #73 received at 411287-quiet@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: Debian bugs control <control@bugs.debian.org>
Cc: 411287-quiet@bugs.debian.org
Subject: cloning #411287
Date: Sat, 14 Jul 2007 21:03:40 +0300
clone 411287 -1
reassign -1 xserver-xorg-core
severity -1 normal
retitle -1 xserver-xorg-core: patch to fix a hang in openoffice when 
opening menus.
found -1 2:1.3.0.0.dfsg-8
block 411287 with -1
thanks

-- 
Lior Kaplan
kaplan@debian.org

GPG fingerprint:
C644 D0B3 92F4 8FE4 4662  B541 1558 9445 99E8 1DA0



Bug reassigned from package `openoffice.org-impress' to `openoffice.org'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 09:15:05 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.4.dfsg.2-5. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 09:33:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#411287; Package openoffice.org. Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 411287@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: control@bugs.debian.org
Cc: 395354@bugs.debian.org, 396774@bugs.debian.org, 411287@bugs.debian.org
Subject: forcibly merging 411287 396774 395354
Date: Fri, 20 Jul 2007 13:02:50 +0300
# Automatically generated email from bts, devscripts version 2.10.6
# Fixing a typo in the bug number by rene
forcemerge 411287 396774 395354




Forcibly Merged 395354 396774 411287. Request was from Lior Kaplan <kaplan@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2007 10:06:57 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Sep 2007 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:25:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.